#
# spec file for package kdepim-addons
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.60.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
%bcond_without lang
Name:           kdepim-addons
Version:        20.04.2
Release:        bp153.1.27
Summary:        Addons for KDEPIM applications
License:        GPL-2.0-only
Group:          Productivity/Graphics/Other
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE
Patch0:         0001-Enable-the-expert-plugin-by-default.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kf5-filesystem
BuildRequires:  libmarkdown-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5LibKSieve)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5MailImporter)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KF5Tnef)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KPimGAPI)
BuildRequires:  cmake(KPimImportWizard)
BuildRequires:  cmake(KPimItinerary)
BuildRequires:  cmake(KPimPkPass)
BuildRequires:  cmake(Qt5Concurrent) >= 5.6.0
BuildRequires:  cmake(Qt5DBus) >= 5.6.0
BuildRequires:  cmake(Qt5OpenGL) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5UiTools) >= 5.6.0
BuildRequires:  cmake(Qt5WebEngine) >= 5.6.0
BuildRequires:  cmake(Qt5WebEngineWidgets) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.6.0
BuildRequires:  cmake(Qt5XmlPatterns) >= 5.6.0
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Recommends:     %{name}-lang
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 mips mips64
%if %{with lang}
Source1:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz.sig
Source2:        applications.keyring
%endif
BuildRequires:  libboost_headers-devel

%description
Addons for KDE PIM applications, such as extensions for KMail, additional
themes, and plugins providing extra or advanced functionality.

%lang_package

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -d build -- -DKDEPIMADDONS_BUILD_EXAMPLES=FALSE -DQTCREATOR_TEMPLATE_INSTALL_DIR=%{_kf5_sharedir}/qtcreator/templates
%cmake_build

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING*
%{_kf5_debugdir}/kdepim-addons.categories
%{_kf5_debugdir}/kdepim-addons.renamecategories
%{_kf5_configdir}/kmail.antispamrc
%{_kf5_configdir}/kmail.antivirusrc
%dir %{_kf5_plugindir}
%dir %{_kf5_plugindir}/akonadi
%dir %{_kf5_libdir}/contacteditor
%dir %{_kf5_libdir}/contacteditor/editorpageplugins
%dir %{_kf5_plugindir}/messageviewer
%dir %{_kf5_plugindir}/messageviewer/bodypartformatter
%dir %{_kf5_plugindir}/messageviewer/configuresettings
%dir %{_kf5_plugindir}/messageviewer/headerstyle
%dir %{_kf5_plugindir}/messageviewer/viewercommonplugin
%dir %{_kf5_plugindir}/messageviewer/viewerplugin
%dir %{_kf5_plugindir}/messageviewer/grantlee
%dir %{_kf5_plugindir}/messageviewer/grantlee/5.0
%dir %{_kf5_qmldir}/org/kde/plasma
%{_kf5_bindir}/kmail_antivir.sh
%{_kf5_bindir}/kmail_clamav.sh
%{_kf5_bindir}/kmail_fprot.sh
%{_kf5_bindir}/kmail_sav.sh
%{_kf5_libdir}/contacteditor/editorpageplugins/cryptopageplugin.so
%{_kf5_libdir}/libadblocklibprivate.so.*
%{_kf5_libdir}/libdkimverifyconfigure.so.*
%{_kf5_libdir}/libkaddressbookimportexportlibprivate.so.*
%{_kf5_libdir}/libkaddressbookmergelibprivate.so.*
%{_kf5_libdir}/libshorturlpluginprivate.so.*
%{_kf5_libdir}/libkmailgrammalecte.so.5.*
%{_kf5_libdir}/libkmailgrammalecte.so.5
%{_kf5_libdir}/libgrammarcommon.so.5
%{_kf5_libdir}/libgrammarcommon.so.5.*
%{_kf5_libdir}/libkmaillanguagetool.so.5
%{_kf5_libdir}/libkmaillanguagetool.so.5.*
%{_kf5_libdir}/libkmailquicktextpluginprivate.so.5
%{_kf5_libdir}/libkmailquicktextpluginprivate.so.5.*
%{_kf5_libdir}/libkmailmarkdown.so.5
%{_kf5_libdir}/libkmailmarkdown.so.5.*
%{_kf5_plugindir}/akonadi/emailaddressselectionldapdialogplugin.so
%{_kf5_plugindir}/importwizard/
%{_kf5_plugindir}/kaddressbook/
%{_kf5_plugindir}/kmail/
%{_kf5_plugindir}/korg_datenums.so
%{_kf5_plugindir}/korg_picoftheday.so
%{_kf5_plugindir}/korg_thisdayinhistory.so
%{_kf5_plugindir}/libksieve/
%{_kf5_plugindir}/mailtransport/
%{_kf5_plugindir}/pimcommon/
%{_kf5_plugindir}/plasmacalendarplugins/
%{_kf5_plugindir}/templateparser/
%{_kf5_plugindir}/webengineviewer/
%{_kf5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter*.so
%{_kf5_plugindir}/messageviewer/grantlee/5.0/kitinerary_grantlee_extension.so
%{_kf5_plugindir}/messageviewer/configuresettings/messageviewer_dkimconfigplugin.so
%{_kf5_plugindir}/messageviewer/configuresettings/messageviewer_gravatarconfigplugin.so
%{_kf5_plugindir}/messageviewer/headerstyle/messageviewer_briefheaderstyleplugin.so
%{_kf5_plugindir}/messageviewer/headerstyle/messageviewer_fancyheaderstyleplugin.so
%{_kf5_plugindir}/messageviewer/headerstyle/messageviewer_grantleeheaderstyleplugin.so
%{_kf5_plugindir}/messageviewer/headerstyle/messageviewer_longheaderstyleplugin.so
%{_kf5_plugindir}/messageviewer/headerstyle/messageviewer_standardsheaderstyleplugin.so
%{_kf5_plugindir}/messageviewer/viewercommonplugin/messageviewer_expandurlplugin.so
%{_kf5_plugindir}/messageviewer/viewercommonplugin/messageviewer_translatorplugin.so
%{_kf5_plugindir}/messageviewer/viewerplugin/messageviewer_createeventplugin.so
%{_kf5_plugindir}/messageviewer/viewerplugin/messageviewer_createnoteplugin.so
%{_kf5_plugindir}/messageviewer/viewerplugin/messageviewer_createtodoplugin.so
%{_kf5_plugindir}/messageviewer/viewerplugin/messageviewer_externalscriptplugin.so
%{_kf5_qmldir}/org/kde/plasma/PimCalendars/
%{_kf5_servicesdir}/korganizer/
%{_kf5_sharedir}/kconf_update/webengineurlinterceptoradblock.upd
%{_kf5_sharedir}/kconf_update/languagetool_kmail.upd
%dir %{_kf5_sharedir}/qtcreator
%dir %{_kf5_sharedir}/qtcreator/templates/
%dir %{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/
%dir %{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/
%{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/CMakeLists.txt
%{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/plugineditor.*
%{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/plugineditorinterface.*
%{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/*.json
%{_kf5_sharedir}/qtcreator/templates/kmaileditorplugins/plugin.json.impl
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/CMakeLists.txt
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/plugin.json.impl
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/plugineditor.cpp
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/plugineditor.h
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/plugineditorinterface.cpp
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/plugineditorinterface.h
%{_kf5_sharedir}/qtcreator/templates/kmaileditorconvertertextplugins/wizard.json

%if %{with lang}
%files lang -f %{name}.lang
%license COPYING*
%endif

%changelog
* Tue Jun  9 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-06-apps-update
- Changes since 20.04.1:
  * Fix crash when encountering pkpass types we cannot render (kde#422325)
  * Fix potential problem with qt5.15
* Fri May 15 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-05-apps-update
- No code change since 20.04.0
* Thu Apr 23 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-04-apps-update
- Changes since 20.03.90:
  * Use qDebug here
  * Fix build with Qt >= 5.15.0-beta3
  * Use QLatin1Char('/') here
  * React when we click on cancel
  * Not necessary to show messagebox when we click on cancel
  * Fix compilation with more recent Qt 5.15
* Sun Apr  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.90
  * New feature release
- Changes since 20.03.80:
  * Fix build against recent KIO
  * Fix cppcheck warning
* Sun Mar 22 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.80
  * New feature release
- Too many changes to list here.
- Drop checks for obsolete distribution versions
* Thu Mar  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-03-apps-update
- Changes since 19.12.2:
  * Fix grantlee i18n stuff not being translated
* Fri Feb  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%make_jobs with %%cmake_build.
* Wed Feb  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-02-apps-update
- No code change since 19.12.1
- Update build requirements (enable discount support)
* Tue Jan  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12.1
- Changes since 19.12.0:
  * Fix save config
  * Fix insert text
  * Activate by default
* Tue Dec 10 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12
- No code change since 19.11.90
* Sat Nov 30 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/19.12-rc
- Changes since 19.11.80:
  * Link with Qt5::Xml where QDomDocument is used
  * Disable mReadAuthResultHeader for the moment
  * Add missing Q_REQUIRED_RESULT
* Sun Nov 24 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.80
  * New feature release
- Too many changes since 19.08.3, only listing bugfixes:
  * Fix Bug 387598 - Send As ICalendar Address Selection has problems (kde#387598)
  * Use external itinerary extraction process (kde#409001)
  * Fix Bug 410432 - Add Reminders to New Events (kde#410432)
* Thu Nov  7 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.3.php
- No code change since 19.08.2
* Fri Oct 11 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.2.php
- Changes since 19.08.1:
  * Fix Bug 317177 - HTML emails CSS should not be applied to the header in the UI (kde#317177)
  * Port to QComboBox::textActivated to fix compilation with Qt 5.14
* Thu Sep  5 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
  * Allow to wrap attachment text (as diff)
* Fri Aug  9 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.0.php
- Changes since 19.07.90:
  * Allow to wrap attachment text (as diff)
  * Fix autotests
  * Fix a crash
  * Add missing includes
  * Adapt to KCalendarCore namespace change
* Tue Aug  6 2019 lbeltrame@kde.org
- Update to 19.07.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-rc.php
- Changes since 19.07.80:
  * Install the .rc files back into KDE_INSTALL_CONFDIR (kde#410279)
  * Port SemanticUrlHandler::showCalendar to activateApplication
  * Calendar formatter: port to PimUniqueApplication::activateApplication
* Tue Jul 23 2019 lbeltrame@kde.org
- Update to 19.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-beta.php
- Changes since 19.04.3:
  * Too many changes to list here
* Fri Jul 19 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use %%_kf5_debugdir for logging categories.
* Sat Jul 13 2019 lbeltrame@kde.org
- Update to 19.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.3.php
- Changes since 19.04.2:
  * i18n: use rc.cpp for extra sources
  * Don't export UID it's not a necessary contact info
* Fri Jun  7 2019 lbeltrame@kde.org
- Update to 19.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.2.php
- Changes since 19.04.1:
  * Look for KF5ContactEditor before trying to use it
  * Remove default shortcut. it will close main windows...
* Fri May 10 2019 lbeltrame@kde.org
- Update to 19.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
  * Fix Bug 403317 - KMAIL2; "Share Text" plugin segfaults (kde#403317)
  * Fix horizontal line
  * Fix render image
  * Add more autotest
  * Fix enable/disable widget
  * Add missing uselocalinstance settings
  * Fix Bug 406680 - LanguageTools: kmail restart loses configuration of
    local server address in favor of default remote (kde#406680)
  * Add more autotest
  * Disable more QWebEngine features in markdown preview
- Dropped patches, now upstream:
  * Fix-bug-403317.patch
* Wed May  1 2019 wbauer@tmo.at
- Add Fix-bug-403317.patch to fix crashes of the mail composer when
  the "Share Text" plugin is enabled (kde#403317)
* Sat Apr 20 2019 lbeltrame@kde.org
- Update to 19.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.0.php
- Changes since 19.03.90:
  * Fix autotest
  * Fix autotest
  * Don't show a qwarning when we have an empty text
  * Fix Bug 405434 - KMail crashes when trying to switch on add-blocker (kde#405434)
* Tue Apr  9 2019 lbeltrame@kde.org
- Update to 19.03.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-rc.php
- Changes since 19.03.80:
  * Allow to add text in subject too
  * Fix insert special characters
  * Allow to close grammar checker
  * Convert to camelcase include
  * Minor optimization
  * Fix save adblock list name
  * Fix Bug 405791 - Crash when clicking on a mail that contains vcard.vcf attachment (kde#405791)
  * Workaround qt5.13 bug
* Wed Mar 27 2019 lbeltrame@kde.org
- Update to 19.03.80
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-beta.php
- Changes since 18.12.3:
  * Too many changes to list here
* Sat Mar  9 2019 lbeltrame@kde.org
- Update to 18.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
  * No code changes since 18.12.2
* Sat Feb  9 2019 lbeltrame@kde.org
- Update to 18.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
  * Fix Bug 403174 - KAddressBook looses contact birthdays when merging two or more contacts (kde#403174)
* Fri Jan 11 2019 lbeltrame@kde.org
- Update to 18.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
  * Fix send to KDE Connect for older KDE Connect version
  * Allow to show address on map for EventReservation too
  * Disable subscription
  * Debug-- Use ExtendedSelection
  * Fix enable/disable buttons
  * Backport all fix for adblock
  * Don't build example in official release
* Fri Dec 14 2018 lbeltrame@kde.org
- Update to 18.12.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
  * No code changes since 18.11.90
* Mon Dec  3 2018 lbeltrame@kde.org
- Update to 18.11.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
  * Use encrypted network connections in KOrganizer plug-ins
  * Fix crash when we close dialog but continue to keep in markdown support
* Tue Nov 20 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Tue Nov 20 2018 lbeltrame@kde.org
- Update to 18.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
  * Too many changes to list here
- Refreshed patches:
  * 0001-Enable-the-expert-plugin-by-default.patch
* Thu Nov  8 2018 lbeltrame@kde.org
- Update to 18.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.3.php
- Changes since 18.08.2:
  * No code changes since 18.08.2
- Refreshed patches:
  * 0001-Enable-the-expert-plugin-by-default.patch
* Mon Oct 29 2018 Luca Beltrame <lbeltrame@kde.org>
- Add patch to enable by default some commonly used options in
  kmail:
  * 0001-Enable-the-expert-plugin-by-default.patch
* Thu Oct 11 2018 lbeltrame@kde.org
- Update to 18.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.2.php
- Changes since 18.08.1:
  * None
* Thu Sep  6 2018 lbeltrame@kde.org
- Update to 18.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.1.php
- Changes since 18.08.0:
  * Add support for UTC
* Thu Aug 16 2018 christophe@krop.fr
- Update to 18.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.0.php
- Changes since 18.07.80:
  * Add missing categories
  * Empty email is an invalid email
  * Fix Bug 396685 - Edit Location not possible with dark theme (kde#396685)
  * Don't set the icon theme too early
  * Split rendertest data in tests that need Akonadi and those that don't
* Thu Jul 26 2018 lbeltrame@kde.org
- Update to 18.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08-beta.php
- Changes since 18.04.3:
  * Too many changes to list here
* Fri Jul 13 2018 lbeltrame@kde.org
- Update to 18.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
  * None
* Fri Jun  8 2018 lbeltrame@kde.org
- Update to 18.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.2.php
- Changes since 18.04.1:
  * None
* Fri May 11 2018 lbeltrame@kde.org
- Update to 18.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.1.php
- Changes since 18.04.0:
  * Fix PIM Events Plugin metadata for ConfigUi (kde#393678)
  * Fix crash on close.
  * Increase version
  * Use attachment code directly
  * Remove it
  * Fix GrantleeTheme::ThemeManager being leaked. (kde#383070)
  * Disable it for release version
* Wed Apr 18 2018 lbeltrame@kde.org
- Update to 18.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.0.php
- Changes since 18.03.90:
  * None
* Fri Apr  6 2018 lbeltrame@kde.org
- Update to 18.03.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04-rc.php
- Changes since 17.12.3:
  * Too many changes to list here
- Dropped patches, now upstream:
  * Place-events-without-start-date-at-end-date.patch
* Sun Mar 11 2018 wbauer@tmo.at
- Add Place-events-without-start-date-at-end-date.patch to avoid
  an infinite loop that would cause Plasma to freeze when there was
  an agenda item with no start date in the calendar
  (boo#1084802, kde#367541)
* Thu Mar  8 2018 lbeltrame@kde.org
- Update to 17.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
  * Fix Bug 389820 - spamassassin (kde#389820)
* Wed Feb  7 2018 lbeltrame@kde.org
- Update to 17.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
  * it uses https
  * This service uses https now
* Thu Jan 11 2018 lbeltrame@kde.org
- Update to 17.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.1.php
- Changes since 17.12.0:
  * We still need it as a slot.
* Sat Dec  9 2017 lbeltrame@kde.org
- Update to 17.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.90:
  * We still need it as a slot.
  * Fix Bug 387619 - Some of Mailsploit test patterns are incorrectly decoded (kde#387619)
  * Adapt to Qt 5.10 rc2 API changes
* Sat Dec  2 2017 lbeltrame@kde.org
- Update to 17.11.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-rc.php
- Changes since 17.11.80:
  * Make sure that rednertest are executed with a defined color style.
  * Implement remove filter
  * Make it possible to show corretly if the localstore job is running.
  * show if key is unknown.
  * always show keydetails from mimepart
  * hasKey is not used anymore
  * test is we there are valid keydata in the mime content.
  * Make it possible to show corretly if the keyring job is running.
  * Compile it when we use BUILD_TESTING
  * Build it when we use BUILD_TESTING
  * Fix check minimum version
  * It can't be empty
  * Fix version
  * Don't build it in release mode
  * fix tests on CI (hopefully).
* Mon Nov 20 2017 lbeltrame@kde.org
- Update to 17.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
  * Too many changes to list here
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * We need to load value not saving it
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * Fix memory leak and crash in Plasma events plugin configuration (kde#376220)
  * Allow to check all features
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * Allow to check all features
  * Allow to translate plugin
  * Fix i18n message it's email addresses not message
  * PimEventsPlugin: handle Items with no payload
  * Remove double margin
  * Reduce duplicate code
  * Reduce duplicate code
  * Fix attachement mail
  * Update buttons when we fill combobox
  * Fix update button
  * Don't ask twice when we want to overwrite file
  * Don't ask twice if we want to overwrite file
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.08-rc.php
- Drop fix-saving-adblock-settings.patch (merged upstream)
* Sun Jul 30 2017 wbauer@tmo.at
- Fix saving the AdBlock plugin's settings if
  ~/.local/share/adblock/ does not exist (boo#1013566)
  Add fix-saving-adblock-settings.patch
* Sat Jul 15 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * None
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix Bug 379988 - TNEF attachments not properly represented in UI (kde#379988)
  * Make sure that it's not empty
  * Make sure that we don't add empty str
  * Add autotests
  * Fix list of emails
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Add debug + update copyright
  * Fix mem leak
  * Minor optimization
  * Use nullptr
  * Allow catching signal when we start eventLoop not before it. Otherwise we can exist from this code
  * USe nullptr
  * Verify that qstring is really empty
  * use isEmpty here
  * Fix split emails
  * Fix multi emails
  * Add debug info
  * Fix kmail documentation
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * Use QFileInfo::exists(...)
  * Use nullptr here
  * USe QFileInfo::exist method
  * Fix label when we start to load folders
  * Use nullptr
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Don't build example in release official
  * Fix show "unable to load folder"
  * Try to fix "unable to load folder" message when we filter list of folder
  * Pass calendar from memento to itiphandler to avoid loading it all over again.
  * Make "todo akonadi port" message more precise
  * WKS: fix handling of WKS v3 publishing request emails
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-beta.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * None
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.08-rc.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
